import { Config } from '../config';
import { Payload } from '../payload';
import { Events } from 'ionic-angular';
import { Socket } from '../socket';
import { Queue } from '../queue';
import { Status } from '../status';
export declare class Api {
    private queue;
    private appConfig;
    private socketService;
    private payloadProvider;
    private events;
    private status;
    private static transactions;
    private static timeoutCheckInterval;
    constructor(queue: Queue, appConfig: Config, socketService: Socket, payloadProvider: Payload, events: Events, status: Status);
    addTransaction(lambda: string, request: object, opts?: object): any;
    private processTransaction(pid);
    private transactionResponse(rx);
    private static checkTimeouts();
    private static startTimeoutCheck();
    private static stopTimeoutCheck();
}
