import { Http } from '../http';
export declare class Consul {
    private http;
    consulAPIUrl: string;
    consulMapToken: string;
    consulUpdateToken: string;
    consulClientToken: string;
    kvDomains: string;
    kvUpdates: string;
    constructor(http: Http);
    getConfig(domain: string, consulAPIUrl: string, consulMapToken: string): Promise<object | boolean>;
    getClientToken(domain: string): Promise<{}>;
    getClientConfig(domain: string): Promise<{}>;
    getDeploymentKeys(environment: String, updateId: string, consulUpdateToken: string): Promise<{}>;
}
