import { FCM } from '@ionic-native/fcm';
import { Device } from '../device';
import { Events } from 'ionic-angular';
import { Api } from '../api';
export declare class Push {
    private fcm;
    private device;
    private events;
    private api;
    constructor(fcm: FCM, device: Device, events: Events, api: Api);
    register(username?: string): Promise<{}>;
    send(payload: Object): any;
    private registerToken(username, token);
}
