import { Database } from '../database';
import { Socket } from '../socket';
import { Events } from 'ionic-angular';
export declare class Queue {
    private database;
    private events;
    private socket;
    columns: any[];
    tableName: string;
    isProcessing: boolean;
    processInterval: any;
    constructor(database: Database, events: Events, socket: Socket);
    add(pid: String, transaction: any): void;
    private startProcess();
    private stopProcess();
    private process();
    private transactionResponse(rx);
    list(status?: any): Promise<{}>;
    private queueBusy();
    retryFailed(): void;
    delete(pid: string): void;
    clear(): void;
}
